ClassMethodMap (TestNG)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.testng
Class ClassMethodMap

    java.lang.Object
      org.testng.ClassMethodMap

    public class ClassMethodMap

extends java.lang.Object

This class maintains a map of `>`. It is used by TestWorkers to determine if the method they just ran is the last of its class, in which case it's time to invoke all the afterClass methods.

Author:
  Alex Popescu

Constructor Summary
`ClassMethodMap(java.util.List<ITestNGMethod> methods, org.testng.internal.XmlMethodSelector xmlMethodSelector)`

Method Summary
`void` | `clear()`
`java.util.Map<ITestClass,java.util.Set<java.lang.Object>>` | `getInvokedAfterClassMethods()`
`java.util.Map<ITestClass,java.util.Set<java.lang.Object>>` | `getInvokedBeforeClassMethods()`
`boolean` | `removeAndCheckIfLast(ITestNGMethod m, java.lang.Object instance)` Remove the method from this map and returns true if it is the last of its class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassMethodMap

    public ClassMethodMap(java.util.List<ITestNGMethod> methods,
                          org.testng.internal.XmlMethodSelector xmlMethodSelector)

Method Detail

### removeAndCheckIfLast

    public boolean removeAndCheckIfLast(ITestNGMethod m,
                                        java.lang.Object instance)

  Remove the method from this map and returns true if it is the last of its class.

### getInvokedBeforeClassMethods

    public java.util.Map<ITestClass,java.util.Set<java.lang.Object>> getInvokedBeforeClassMethods()

### getInvokedAfterClassMethods

    public java.util.Map<ITestClass,java.util.Set<java.lang.Object>> getInvokedAfterClassMethods()

### clear

    public void clear()

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD